> ## Documentation Index
> Fetch the complete documentation index at: https://docs.featherhq.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Run testing lab scenarios



## OpenAPI

````yaml post /api/v1/testing-lab/scenarios/run
openapi: 3.0.0
info:
  version: 1.0.0
  title: Feather AI API
servers:
  - url: https://prod.featherhq.com
    description: Production environment
security: []
paths:
  /api/v1/testing-lab/scenarios/run:
    post:
      tags:
        - Testing Lab
      summary: Run testing lab scenarios
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/TestingLabRunScenariosRequest'
      responses:
        '201':
          description: Scenarios run initiated successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TestingLabRunScenariosResponse'
        '400':
          description: Bad request - validation error
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: integer
                    default: 400
                  message:
                    type: string
                    default: Bad request
                  code:
                    type: string
                    enum:
                      - BAD_REQUEST
                    default: BAD_REQUEST
                  success:
                    type: boolean
                    enum:
                      - false
                    default: false
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: integer
                    default: 500
                  message:
                    type: string
                    default: Internal server error
                  code:
                    type: string
                    enum:
                      - INTERNAL_SERVER_ERROR
                    default: INTERNAL_SERVER_ERROR
                  success:
                    type: boolean
                    enum:
                      - false
                    default: false
      security:
        - ApiKey: []
components:
  schemas:
    TestingLabRunScenariosRequest:
      type: object
      properties:
        agent_id:
          type: number
        assistant_id:
          type: string
        scenarios:
          type: array
          items:
            type: number
        tags:
          type: array
          items:
            type: string
        frequency:
          type: number
        name:
          type: string
        outbound_phone_number:
          type: string
      required:
        - agent_id
        - scenarios
        - frequency
        - name
        - outbound_phone_number
    TestingLabRunScenariosResponse:
      type: object
      properties:
        id:
          type: number
        agent:
          type: number
        status:
          type: string
        success_rate:
          type: number
        run_as_text:
          type: boolean
        runs:
          type: array
          items:
            type: object
            properties:
              id:
                type: number
              scenario:
                type: number
              number:
                type: string
            required:
              - id
              - scenario
              - number
        created_at:
          type: string
      required:
        - id
        - agent
        - status
        - success_rate
        - run_as_text
        - runs
        - created_at
  securitySchemes:
    ApiKey:
      type: apiKey
      in: header
      name: X-API-Key

````